aranym (1.1.0-2) unstable; urgency=medium

  * Add patch to use pow10() only when it's available

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Sun, 31 Jan 2021 15:27:46 +0100

aranym (1.1.0-1) unstable; urgency=medium

  * New upstream release
  * Set myself as maintainer in debian/control (Closes: #981180)
  * Drop all patches merged upstream
  * Fix source file names for aranym-mmu and aranym-jit in debian/rules
  * Drop dh_autotools-dev_updateconfig from debian/rules
  * Update debhelper version to 12 and switch to debhelper-compat
  * Update Homepage field in debian/control
  * Add Vcs-* fields to debian/control
  * Update Standards-Version to 4.5.1 in debian/control
  * Run wrap-and-sort to clean up files in debian directory

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Sun, 31 Jan 2021 12:57:59 +0100

aranym (1.0.2-2.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix build failure with glibc-2.26 on ARM32.
  * Bump standards and debhelper versions.

 -- Matthias Klose <doko@debian.org>  Wed, 24 Jan 2018 23:39:45 +0100

aranym (1.0.2-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add patch to fix kernel soft-lock up during SCSI driver
    initialization when running Linux (Closes: #865928)

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Sun, 03 Sep 2017 15:53:18 +0200

aranym (1.0.2-2) unstable; urgency=medium

  * [1ac234e] Update autoconf configs (Closes: #727321)

 -- Antonin Kral <A.Kral@sh.cvut.cz>  Mon, 20 Oct 2014 11:29:26 +0200

aranym (1.0.2-1) unstable; urgency=medium

  * [dd0a61d] Imported Upstream version 1.0.2
  * [b126901] Disable JIT on kfreebsd amd64

 -- Antonin Kral <A.Kral@sh.cvut.cz>  Fri, 17 Oct 2014 16:25:25 +0200

aranym (1.0.1-1) unstable; urgency=medium

  * [0f902ee] Imported Upstream version 1.0.1
  * [268c57f] Re-enable JIT on kfreebsd
  * [ca35c13] Disable usbhost on kfreebsd for now.

 -- Antonin Kral <A.Kral@sh.cvut.cz>  Fri, 17 Oct 2014 12:29:50 +0200

aranym (1.0.0-1) unstable; urgency=medium

  * [c3c80f6] Imported Upstream version 1.0.0
  * [68e5ee6] Enable JIT on arm
  * [0b31c2e] libusb-1.0-0-dev is now provided by libusb2-dev on kfreebsd, but
    it is not available on hurd-i386

 -- Antonin Kral <A.Kral@sh.cvut.cz>  Fri, 17 Oct 2014 10:42:58 +0200

aranym (0.9.16-2) unstable; urgency=medium

  * [07da0ad] Do not built JIT on kfreebsd

 -- Antonin Kral <A.Kral@sh.cvut.cz>  Tue, 14 Oct 2014 10:27:23 +0200

aranym (0.9.16-1) unstable; urgency=medium

  * [57093b8] Imported Upstream version 0.9.16
  * [cf22323] Bump standards
  * [fc8a0cb] JIT is supported on amd64 starting this new upstream release
  * [12f537b] Reference icons with absolute paths

 -- Antonin Kral <A.Kral@sh.cvut.cz>  Tue, 15 Apr 2014 14:34:41 +0200

aranym (0.9.15-1) unstable; urgency=low

  * new upstream realease (Closes:#698064)

 -- Antonin Kral <A.Kral@sh.cvut.cz>  Wed, 17 Apr 2013 11:43:15 +0200

aranym (0.9.14-2) unstable; urgency=low

  * handle libusb dependency on kfreebsd (Closes:#690007)
    Patch courtesy of Thorsten Glaser

 -- Antonin Kral <A.Kral@sh.cvut.cz>  Tue, 09 Oct 2012 14:59:45 +0200

aranym (0.9.14-1) unstable; urgency=low

  * new upstream release
  * use of dpkg-dev to get hardening cflags

 -- Antonin Kral <A.Kral@sh.cvut.cz>  Thu, 20 Sep 2012 20:28:44 +0200

aranym (0.9.13-3) unstable; urgency=low

  * package re-upload, added source format setting
  * fpu_mpfr longword conversion fix (Closes: #666947)
  * fix missing libusb.h on kfreebsd platforms (Closes: #665867)

 -- Antonin Kral <A.Kral@sh.cvut.cz>  Thu, 19 Apr 2012 21:35:57 +0200

aranym (0.9.13-2) unstable; urgency=low

  * fpu_mpfr longword conversion fix (Closes: #666947)
  * fix missing libusb.h on kfreebsd platforms (Closes: #665867)

 -- Antonin Kral <A.Kral@sh.cvut.cz>  Thu, 19 Apr 2012 21:35:54 +0200

aranym (0.9.13-1) unstable; urgency=low

  * imported upstream version 0.9.13, including changes for 0.9.12
  * updates aranym.desktop and creating aranym-{jit,mmu}.desktop
  * rules updated to install two or three (on i386) desktop entries
  * update of title, longtitle a description in menu-i386 and menu-other
  * new dependencies on libmpfr-dev and libusb-1.0-0-dev
  * provided last-minute patch for FPU bug reported after 0.9.13 release

 -- Antonin Kral <A.Kral@sh.cvut.cz>  Mon, 26 Mar 2012 16:03:32 +0200

aranym (0.9.11-1) unstable; urgency=low

  * [02e3bf1] follow debian policy 3.9.1
  * [e4b9044] Imported Upstream version 0.9.11
  * [e8a425e] minimize the number of logs generated in SCC emulation

 -- Antonin Kral <A.Kral@sh.cvut.cz>  Wed, 16 Feb 2011 12:47:43 +0100

aranym (0.9.10-1) unstable; urgency=low

  * [4fc092f] Imported Upstream version 0.9.10

 -- Antonin Kral <A.Kral@sh.cvut.cz>  Tue, 01 Jun 2010 16:52:06 +0200

aranym (0.9.9-1) unstable; urgency=low

  * New upstream release

 -- Antonin Kral <A.Kral@sh.cvut.cz>  Mon, 07 Sep 2009 05:59:52 +0000

aranym (0.9.8beta-1) unstable; urgency=low

  * New upstream release
  * removed ipmasq from recommended packages

 -- Antonin Kral <A.Kral@sh.cvut.cz>  Sat, 25 Apr 2009 13:46:20 +0000

aranym (0.9.7beta-1) unstable; urgency=low

  * New upstream release

 -- Antonin Kral <A.Kral@sh.cvut.cz>  Fri, 14 Nov 2008 11:03:02 +0000

aranym (0.9.6beta2-1) unstable; urgency=low

  * New upstream release to address bug in XHDI code which could affect data
    integrity of PARTITIONs
  * fixed .desktop in upstream
  * 32x32 automatic conversion from png to xpm (ImageMagick)
  * 48x48 icon in png

 -- Antonin Kral <A.Kral@sh.cvut.cz>  Tue, 29 Jan 2008 20:44:01 +0000

aranym (0.9.6beta-1) unstable; urgency=low

  * New upstream release, Closes: #455413, #459364, #428355
  * No strip during 'make install', agreed with upstream, Closes: #436479
  * added icon /usr/share/pixmaps/aranym.png
  * added icon /usr/share/icons/hicolor/48x48/apps/aranym.png
  * added desktop file aranym.desktop
  * icons added to menu file

 -- Antonin Kral <A.Kral@sh.cvut.cz>  Tue, 29 Jan 2008 02:06:15 +0100

aranym (0.9.5beta-1) unstable; urgency=low

  * New upstream release
  * Large clean up of the debian diff, it contains just debian/ from now
  * debian/rules invokes make with -f only, -e removed

 -- Antonin Kral <A.Kral@sh.cvut.cz>  Tue, 10 Jul 2007 19:09:04 +0000

aranym (0.9.4beta2-1) unstable; urgency=low

  * New upstream release
  * Added --enable-addressing=direct to MMU build to enable unlimited FastRAM

 -- Antonin Kral <A.Kral@sh.cvut.cz>  Tue, 28 Nov 2006 19:08:09 +0100

aranym (0.9.4beta-4) unstable; urgency=low

  * pass build and host to configure from dpkg-architecture, Closes: #394204

 -- Antonin Kral <A.Kral@sh.cvut.cz>  Fri, 27 Oct 2006 15:29:08 +0200

aranym (0.9.4beta-3) unstable; urgency=low

  * applied tweaks from Petr, Closes: #388995
    (upstream notified)
  * changed HOSTTYPE detection
  * added link to AFROS

 -- Antonin Kral <A.Kral@sh.cvut.cz>  Mon, 25 Sep 2006 08:56:31 +0200

aranym (0.9.4beta-2) unstable; urgency=low

  * make package compatible with debhelper 5
  * clean ups in debian/rules

 -- Antonin Kral <A.Kral@sh.cvut.cz>  Sat, 23 Sep 2006 00:45:46 +0200

aranym (0.9.4beta-1) unstable; urgency=low

  * New upstream release
  * README.Debian changed
  * man pages moved to upstream

 -- Antonin Kral <A.Kral@sh.cvut.cz>  Fri, 22 Sep 2006 22:06:19 +0200

aranym (0.9.3beta-1) unstable; urgency=low

  * New upstream release, Closes: #353112 , Closes: #317305
  * emutos has been removed by upstream, Closes: #343058
  * added note about FastRAM to doc, Closes: #334750

 -- Antonin Kral <A.Kral@sh.cvut.cz>  Wed,  1 Mar 2006 08:40:10 +0100

aranym (0.9.0final-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * src/Unix/Makefile.in: Fix build failure with make 3.81+.
    Thanks to Matt Kraai for the patch.  Closes: #353112.
  * Automatically update config.{sub,guess} from autotools-dev.
    Closes: #317305.
  * debian/aranym-jit.1, debian/aranym-mmu.1, debian/aratapif.1:
    Fix groff warnings by using named characters.
  * debian/aranym-jit.substvars: Remove cruft.

 -- Matej Vela <vela@debian.org>  Mon, 27 Feb 2006 11:12:55 +0100

aranym (0.9.0final-1) unstable; urgency=low

  * New upstream release
  * removed references to fvdi.prg.bz2 which has been removed by
    upstream
  * added --enable-nfjpeg to all targets
  * added build-dep: libsdl-image1.2-dev

 -- Antonin Kral <A.Kral@sh.cvut.cz>  Sat, 16 Apr 2005 12:45:26 +0200

aranym (0.9.0beta2-3) unstable; urgency=low

  * removed aranym-lilo, take a look to doc/documentations.txt
  * removed old aranymrc, see doc/config

 -- Antonin Kral <A.Kral@sh.cvut.cz>  Sat, 26 Feb 2005 23:38:42 +0100

aranym (0.9.0beta2-2) unstable; urgency=low

  * added --enable-lilo to mmu version

 -- Antonin Kral <A.Kral@sh.cvut.cz>  Wed, 23 Feb 2005 22:40:06 +0100

aranym (0.9.0beta2-1) unstable; urgency=low

  * New upstream release
  * added --enable-lilo to mmu version

 -- Antonin Kral <A.Kral@sh.cvut.cz>  Wed, 23 Feb 2005 20:22:20 +0100

aranym (0.8.11beta-1) unstable; urgency=low

  * New upstream release

 -- Antonin Kral <A.Kral@sh.cvut.cz>  Wed, 17 Nov 2004 23:58:10 +0100

aranym (0.8.10beta-4) unstable; urgency=low

  * fake version, I need to close bugs, but email system doesn't
    communicate with me
  * version 0.8.10beta-3 solves, Closes: #264838
  * version 0.8.10beta-3 solves, Closes: #264921
  * documentation is in file aranym-lilo.txt, as mentioned with
    version 0.8.8beta-2, Closes: #255231

 -- Antonin Kral <A.Kral@sh.cvut.cz>  Wed, 11 Aug 2004 16:33:14 +0200

aranym (0.8.10beta-3) unstable; urgency=low

  * really removed, ups

 -- Antonin Kral <A.Kral@sh.cvut.cz>  Tue, 10 Aug 2004 16:01:48 +0200

aranym (0.8.10beta-2) unstable; urgency=low

  * --enable-lilo removed due portability problems, discussed and
    forwarded to upstream

 -- Antonin Kral <A.Kral@sh.cvut.cz>  Tue, 10 Aug 2004 10:07:12 +0200

aranym (0.8.10beta-1) unstable; urgency=low

  * New upstream release, Closes: #258720
  * Added --enable-lilo to aranym-mmu target

 -- Antonin Kral <A.Kral@sh.cvut.cz>  Mon,  9 Aug 2004 18:35:13 +0200

aranym (0.8.8beta-2) unstable; urgency=low

  * diskimage is gone, functionality was moved to GUI, Closes: #255234
  * lilo usage is described in aranym-lilo.txt, Closes: #255231
    (it is experimental, check aranym mailing list)

 -- Antonin Kral <A.Kral@sh.cvut.cz>  Tue,  6 Jul 2004 10:21:55 +0200

aranym (0.8.8beta-1) unstable; urgency=low

  * New upstream release

 -- Antonin Kral <A.Kral@sh.cvut.cz>  Tue,  6 Jul 2004 09:05:39 +0200

aranym (0.8.7beta-2) unstable; urgency=low

  * changes in man pages of aranym and diskimage, Closes: #255233

 -- Antonin Kral <A.Kral@sh.cvut.cz>  Sun, 20 Jun 2004 21:35:42 +0200

aranym (0.8.7beta-1) unstable; urgency=low

  * New upstream release

 -- Antonin Kral <A.Kral@sh.cvut.cz>  Thu, 11 Mar 2004 20:01:31 +0100

aranym (0.8.5beta-1) unstable; urgency=low

  * New upstream release

 -- Antonin Kral <A.Kral@sh.cvut.cz>  Wed,  7 Jan 2004 19:34:39 +0000

aranym (0.8.2beta-1) unstable; urgency=low

  * New upstream release

 -- Antonin Kral <A.Kral@sh.cvut.cz>  Sun,  5 Oct 2003 13:56:13 +0200

aranym (0.8.0beta3-2) unstable; urgency=low

  * Changed configure to support sparc architecture

 -- Antonin Kral <A.Kral@sh.cvut.cz>  Tue, 22 Apr 2003 13:42:57 -0400

aranym (0.8.0beta3-1) unstable; urgency=low

  * New upstream release
  * All binaries merget into single package

 -- Antonin Kral <A.Kral@sh.cvut.cz>  Tue, 11 Apr 2003 20:09:15 +0100

aranym (0.7.0-2) unstable; urgency=low

  * Building disabled on arm (problem on debian machines, maybe kernel
    problems) and sparc (gcc 3.2 internal error)

 -- Antonin Kral <A.Kral@sh.cvut.cz>  Tue, 11 Mar 2003 08:31:45 +0100

aranym (0.7.0-1) unstable; urgency=low

  * New upstream release
  * Recompilation under gcc 3.2
  * Package follows Debian Policy 3.5.8

 -- Antonin Kral <A.Kral@sh.cvut.cz>  Wed, 29 Jan 2003 18:16:01 +0100

aranym (0.6.8-1) unstable; urgency=low

  * New upstream release
  * etos512k removed, not longer needed

 -- Antonin Kral <A.Kral@sh.cvut.cz>  Mon, 21 Oct 2002 17:59:11 +0200

aranym (0.6.6-3) unstable; urgency=low

  * Final correction of arch probles, Closes: #164862

 -- Antonin Kral <A.Kral@sh.cvut.cz>  Tue, 15 Oct 2002 13:23:58 +0200

aranym (0.6.6-2) unstable; urgency=low

  * aranym-jit is only for i386, rules changed, Closes: #164762
  * corrected grammar in description of aranym-jit, Closes: #164805

 -- Antonin Kral <A.Kral@sh.cvut.cz>  Tue, 15 Oct 2002 08:15:07 +0200

aranym (0.6.6-1) unstable; urgency=low

  * New upstream release
  * Added menu entry, Closes: #161263
  * Package follows Debian Policy 3.5.7
  * Package aranym-jit with JIT Compiler enabled is generated

 -- Antonin Kral <A.Kral@sh.cvut.cz>  Sat, 12 Oct 2002 21:30:57 +0200

aranym (0.2.0-1) unstable; urgency=low

  * New upstream release
  * Included EmuTOS ROM image
  * Chaged notes in README.Debian and control

 -- Antonin Kral <A.Kral@sh.cvut.cz>  Wed, 24 Jul 2002 14:23:49 +0200

aranym (0.1.7-1) unstable; urgency=low

  * New upstream release

 -- Antonin Kral <A.Kral@sh.cvut.cz>  Wed, 19 Jun 2002 07:37:17 +0200

aranym (0.0.21-2) unstable; urgency=low

  * Modification agains include linux/fs.h problem, Closes: #135327

 -- Antonin Kral <A.Kral@sh.cvut.cz>  Mon, 25 Feb 2002 18:12:44 +0100

aranym (0.0.21-1) unstable; urgency=low

  * New upstream release
  * Some modifications to mainstream Makefile: documentation.txt,
    aranym.xfs.bz2 (both installations)

 -- Antonin Kral <A.Kral@sh.cvut.cz>  Wed, 20 Feb 2002 22:08:53 +0100

aranym (0.0.20-1) unstable; urgency=low

  * New Upstream Release
  * Shorter lines in desctiption field, Closes: #130993
  * Corrected misspelled word in the description, Closes: #131149

 -- Antonin Kral <A.Kral@sh.cvut.cz>  Tue, 29 Jan 2002 01:28:44 +0100

aranym (0.0.16-1) unstable; urgency=low

  * Initial Debian Release
    Closes: #129789

 -- Antonin Kral <A.Kral@sh.cvut.cz>  Tue, 29 Jan 2002 01:27:20 +0100

